<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:17 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>HwMMUImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwMMUImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwMMUImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwDMAImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html" target="_top">Frames</a></li>
<li><a href="HwMMUImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl</div>
<h2 title="Class HwMMUImpl" class="title">Class HwMMUImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EObjectImpl</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceImpl</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.HwResourceImpl</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl.HwStorageManagerImpl</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl.HwMMUImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwResource</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwMMU</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwStorageManager.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwStorageManager</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/StorageResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">StorageResource</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">HwMMUImpl</span>
extends <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl">HwStorageManagerImpl</a>
implements <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwMMU</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Hw MMU</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 </p>
 <ul>
 <li><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getVirtualAddrSpace--"><code><em>Virtual Addr Space</em></code></a></li>
 <li><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getPhysicalAddrSpace--"><code><em>Physical Addr Space</em></code></a></li>
 <li><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getMemoryProtection--"><code><em>Memory Protection</em></code></a></li>
 <li><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getNbEntries--"><code><em>Nb Entries</em></code></a></li>
 <li><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getOwnedTLBs--"><code><em>Owned TL Bs</em></code></a></li>
 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== PROPERTY SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="property.summary">
<!--   -->
</a>
<h3>Property Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="properties.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceImpl">
<!--   -->
</a>
<h3>Properties inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">ResourceImpl</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_Property">basicGetBase_Property</a></code></li>
</ul>
</li>
</ul>
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#MEMORY_PROTECTION_EDEFAULT">MEMORY_PROTECTION_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getMemoryProtection--"><code><em>Memory Protection</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#memoryProtection">memoryProtection</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getMemoryProtection--"><code><em>Memory Protection</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#NB_ENTRIES_EDEFAULT">NB_ENTRIES_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getNbEntries--"><code><em>Nb Entries</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwCache.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory">HwCache</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#ownedTLBs">ownedTLBs</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getOwnedTLBs--"><code><em>Owned TL Bs</em></code></a>' containment reference list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#PHYSICAL_ADDR_SPACE_EDEFAULT">PHYSICAL_ADDR_SPACE_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getPhysicalAddrSpace--"><code><em>Physical Addr Space</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#physicalAddrSpace">physicalAddrSpace</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getPhysicalAddrSpace--"><code><em>Physical Addr Space</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#VIRTUAL_ADDR_SPACE_EDEFAULT">VIRTUAL_ADDR_SPACE_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getVirtualAddrSpace--"><code><em>Virtual Addr Space</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#virtualAddrSpace">virtualAddrSpace</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getVirtualAddrSpace--"><code><em>Virtual Addr Space</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl.HwStorageManagerImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl.<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl">HwStorageManagerImpl</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#ELEMENT_SIZE_EDEFAULT">ELEMENT_SIZE_EDEFAULT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#elementSize">elementSize</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#managedMemories">managedMemories</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.HwResourceImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl">HwResourceImpl</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#description">description</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#DESCRIPTION_EDEFAULT">DESCRIPTION_EDEFAULT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#endPoints">endPoints</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#frequency">frequency</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#FREQUENCY_EDEFAULT">FREQUENCY_EDEFAULT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#ownedHW">ownedHW</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#p_HW_Services">p_HW_Services</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#r_HW_Services">r_HW_Services</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">ResourceImpl</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_Classifier">base_Classifier</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_ConnectableElement">base_ConnectableElement</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_InstanceSpecification">base_InstanceSpecification</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_Lifeline">base_Lifeline</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_Property">base_Property</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#IS_ACTIVE_EDEFAULT">IS_ACTIVE_EDEFAULT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#IS_PROTECTED_EDEFAULT">IS_PROTECTED_EDEFAULT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#isActive">isActive</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#isProtected">isProtected</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#RES_MULT_EDEFAULT">RES_MULT_EDEFAULT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#resMult">resMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#HwMMUImpl--">HwMMUImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#eGet-int-boolean-boolean-">eGet</a></span>(int&nbsp;featureID,
    boolean&nbsp;resolve,
    boolean&nbsp;coreType)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.NotificationChain</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#eInverseRemove-org.eclipse.emf.ecore.InternalEObject-int-org.eclipse.emf.common.notify.NotificationChain-">eInverseRemove</a></span>(org.eclipse.emf.ecore.InternalEObject&nbsp;otherEnd,
              int&nbsp;featureID,
              org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#eIsSet-int-">eIsSet</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#eSet-int-java.lang.Object-">eSet</a></span>(int&nbsp;featureID,
    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#eStaticClass--">eStaticClass</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#eUnset-int-">eUnset</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getMemoryProtection--">getMemoryProtection</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getNbEntries--">getNbEntries</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwCache.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory">HwCache</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getOwnedTLBs--">getOwnedTLBs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getPhysicalAddrSpace--">getPhysicalAddrSpace</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getVirtualAddrSpace--">getVirtualAddrSpace</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#setMemoryProtection-java.lang.String-">setMemoryProtection</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newMemoryProtection)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#setNbEntries-java.lang.String-">setNbEntries</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newNbEntries)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#setPhysicalAddrSpace-java.lang.String-">setPhysicalAddrSpace</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newPhysicalAddrSpace)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#setVirtualAddrSpace-java.lang.String-">setVirtualAddrSpace</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newVirtualAddrSpace)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl.HwStorageManagerImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl.<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl">HwStorageManagerImpl</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#eBaseStructuralFeatureID-int-java.lang.Class-">eBaseStructuralFeatureID</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#eDerivedStructuralFeatureID-int-java.lang.Class-">eDerivedStructuralFeatureID</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#getElementSize--">getElementSize</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#getManagedMemories--">getManagedMemories</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#setElementSize-java.lang.String-">setElementSize</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.HwResourceImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl">HwResourceImpl</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#getDescription--">getDescription</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#getEndPoints--">getEndPoints</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#getFrequency--">getFrequency</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#getOwnedHW--">getOwnedHW</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#getP_HW_Services--">getP_HW_Services</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#getR_HW_Services--">getR_HW_Services</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#setDescription-java.lang.String-">setDescription</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#setFrequency-java.lang.String-">setFrequency</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">ResourceImpl</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_Classifier--">basicGetBase_Classifier</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_ConnectableElement--">basicGetBase_ConnectableElement</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_InstanceSpecification--">basicGetBase_InstanceSpecification</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_Lifeline--">basicGetBase_Lifeline</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_Property--">basicGetBase_Property</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_Classifier--">getBase_Classifier</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_ConnectableElement--">getBase_ConnectableElement</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_Lifeline--">getBase_Lifeline</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getResMult--">getResMult</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#isActive--">isActive</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#isProtected--">isProtected</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_ConnectableElement-org.eclipse.uml2.uml.ConnectableElement-">setBase_ConnectableElement</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_Lifeline-org.eclipse.uml2.uml.Lifeline-">setBase_Lifeline</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setIsActive-boolean-">setIsActive</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setIsProtected-boolean-">setIsProtected</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setResMult-java.lang.String-">setResMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.HwStorageManager">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwStorageManager.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwStorageManager</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwStorageManager.html#getManagedMemories--">getManagedMemories</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwResource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwResource</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getDescription--">getDescription</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getEndPoints--">getEndPoints</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getFrequency--">getFrequency</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getOwnedHW--">getOwnedHW</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getP_HW_Services--">getP_HW_Services</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getR_HW_Services--">getR_HW_Services</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#setDescription-java.lang.String-">setDescription</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#setFrequency-java.lang.String-">setFrequency</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.StorageResource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/StorageResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">StorageResource</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/StorageResource.html#getElementSize--">getElementSize</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/StorageResource.html#setElementSize-java.lang.String-">setElementSize</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Resource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Classifier--">getBase_Classifier</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_ConnectableElement--">getBase_ConnectableElement</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Lifeline--">getBase_Lifeline</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getResMult--">getResMult</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isActive--">isActive</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isProtected--">isProtected</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_ConnectableElement-org.eclipse.uml2.uml.ConnectableElement-">setBase_ConnectableElement</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Lifeline-org.eclipse.uml2.uml.Lifeline-">setBase_Lifeline</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsActive-boolean-">setIsActive</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsProtected-boolean-">setIsProtected</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setResMult-java.lang.String-">setResMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="VIRTUAL_ADDR_SPACE_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VIRTUAL_ADDR_SPACE_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> VIRTUAL_ADDR_SPACE_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getVirtualAddrSpace--"><code><em>Virtual Addr Space</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getVirtualAddrSpace--"><code>getVirtualAddrSpace()</code></a></dd>
</dl>
</li>
</ul>
<a name="virtualAddrSpace">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>virtualAddrSpace</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> virtualAddrSpace</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getVirtualAddrSpace--"><code><em>Virtual Addr Space</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getVirtualAddrSpace--"><code>getVirtualAddrSpace()</code></a></dd>
</dl>
</li>
</ul>
<a name="PHYSICAL_ADDR_SPACE_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PHYSICAL_ADDR_SPACE_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> PHYSICAL_ADDR_SPACE_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getPhysicalAddrSpace--"><code><em>Physical Addr Space</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getPhysicalAddrSpace--"><code>getPhysicalAddrSpace()</code></a></dd>
</dl>
</li>
</ul>
<a name="physicalAddrSpace">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>physicalAddrSpace</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> physicalAddrSpace</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getPhysicalAddrSpace--"><code><em>Physical Addr Space</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getPhysicalAddrSpace--"><code>getPhysicalAddrSpace()</code></a></dd>
</dl>
</li>
</ul>
<a name="MEMORY_PROTECTION_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MEMORY_PROTECTION_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> MEMORY_PROTECTION_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getMemoryProtection--"><code><em>Memory Protection</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getMemoryProtection--"><code>getMemoryProtection()</code></a></dd>
</dl>
</li>
</ul>
<a name="memoryProtection">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>memoryProtection</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> memoryProtection</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getMemoryProtection--"><code><em>Memory Protection</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getMemoryProtection--"><code>getMemoryProtection()</code></a></dd>
</dl>
</li>
</ul>
<a name="NB_ENTRIES_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NB_ENTRIES_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> NB_ENTRIES_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getNbEntries--"><code><em>Nb Entries</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getNbEntries--"><code>getNbEntries()</code></a></dd>
</dl>
</li>
</ul>
<a name="ownedTLBs">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ownedTLBs</h4>
<pre>protected&nbsp;org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwCache.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory">HwCache</a>&gt; ownedTLBs</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getOwnedTLBs--"><code><em>Owned TL Bs</em></code></a>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html#getOwnedTLBs--"><code>getOwnedTLBs()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="HwMMUImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HwMMUImpl</h4>
<pre>protected&nbsp;HwMMUImpl()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="eStaticClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eStaticClass</h4>
<pre>protected&nbsp;org.eclipse.emf.ecore.EClass&nbsp;eStaticClass()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#eStaticClass--">eStaticClass</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl">HwStorageManagerImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="getVirtualAddrSpace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVirtualAddrSpace</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getVirtualAddrSpace()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#getVirtualAddrSpace--">getVirtualAddrSpace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwMMU</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Virtual Addr Space</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#setVirtualAddrSpace-java.lang.String-"><code>HwMMU.setVirtualAddrSpace(String)</code></a>, 
<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwStorageManagerPackage.html#getHwMMU_VirtualAddrSpace--"><code>HwStorageManagerPackage.getHwMMU_VirtualAddrSpace()</code></a></dd>
</dl>
</li>
</ul>
<a name="setVirtualAddrSpace-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVirtualAddrSpace</h4>
<pre>public&nbsp;void&nbsp;setVirtualAddrSpace(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newVirtualAddrSpace)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#setVirtualAddrSpace-java.lang.String-">setVirtualAddrSpace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwMMU</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newVirtualAddrSpace</code> - the new value of the '<em>Virtual Addr Space</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#getVirtualAddrSpace--"><code>HwMMU.getVirtualAddrSpace()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPhysicalAddrSpace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPhysicalAddrSpace</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPhysicalAddrSpace()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#getPhysicalAddrSpace--">getPhysicalAddrSpace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwMMU</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Physical Addr Space</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#setPhysicalAddrSpace-java.lang.String-"><code>HwMMU.setPhysicalAddrSpace(String)</code></a>, 
<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwStorageManagerPackage.html#getHwMMU_PhysicalAddrSpace--"><code>HwStorageManagerPackage.getHwMMU_PhysicalAddrSpace()</code></a></dd>
</dl>
</li>
</ul>
<a name="setPhysicalAddrSpace-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPhysicalAddrSpace</h4>
<pre>public&nbsp;void&nbsp;setPhysicalAddrSpace(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newPhysicalAddrSpace)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#setPhysicalAddrSpace-java.lang.String-">setPhysicalAddrSpace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwMMU</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newPhysicalAddrSpace</code> - the new value of the '<em>Physical Addr Space</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#getPhysicalAddrSpace--"><code>HwMMU.getPhysicalAddrSpace()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMemoryProtection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMemoryProtection</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMemoryProtection()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#getMemoryProtection--">getMemoryProtection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwMMU</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Memory Protection</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#setMemoryProtection-java.lang.String-"><code>HwMMU.setMemoryProtection(String)</code></a>, 
<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwStorageManagerPackage.html#getHwMMU_MemoryProtection--"><code>HwStorageManagerPackage.getHwMMU_MemoryProtection()</code></a></dd>
</dl>
</li>
</ul>
<a name="setMemoryProtection-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMemoryProtection</h4>
<pre>public&nbsp;void&nbsp;setMemoryProtection(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newMemoryProtection)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#setMemoryProtection-java.lang.String-">setMemoryProtection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwMMU</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newMemoryProtection</code> - the new value of the '<em>Memory Protection</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#getMemoryProtection--"><code>HwMMU.getMemoryProtection()</code></a></dd>
</dl>
</li>
</ul>
<a name="getNbEntries--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbEntries</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getNbEntries()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#getNbEntries--">getNbEntries</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwMMU</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Nb Entries</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#setNbEntries-java.lang.String-"><code>HwMMU.setNbEntries(String)</code></a>, 
<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwStorageManagerPackage.html#getHwMMU_NbEntries--"><code>HwStorageManagerPackage.getHwMMU_NbEntries()</code></a></dd>
</dl>
</li>
</ul>
<a name="setNbEntries-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbEntries</h4>
<pre>public&nbsp;void&nbsp;setNbEntries(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newNbEntries)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#setNbEntries-java.lang.String-">setNbEntries</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwMMU</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newNbEntries</code> - the new value of the '<em>Nb Entries</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#getNbEntries--"><code>HwMMU.getNbEntries()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOwnedTLBs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOwnedTLBs</h4>
<pre>public&nbsp;org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwCache.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory">HwCache</a>&gt;&nbsp;getOwnedTLBs()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html#getOwnedTLBs--">getOwnedTLBs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwMMU.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager">HwMMU</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Owned TL Bs</em>' containment reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/HwStorageManagerPackage.html#getHwMMU_OwnedTLBs--"><code>HwStorageManagerPackage.getHwMMU_OwnedTLBs()</code></a></dd>
</dl>
</li>
</ul>
<a name="eInverseRemove-org.eclipse.emf.ecore.InternalEObject-int-org.eclipse.emf.common.notify.NotificationChain-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eInverseRemove</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.NotificationChain&nbsp;eInverseRemove(org.eclipse.emf.ecore.InternalEObject&nbsp;otherEnd,
                                                                      int&nbsp;featureID,
                                                                      org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#eInverseRemove-org.eclipse.emf.ecore.InternalEObject-int-org.eclipse.emf.common.notify.NotificationChain-">eInverseRemove</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl">HwResourceImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eGet-int-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eGet</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;eGet(int&nbsp;featureID,
                   boolean&nbsp;resolve,
                   boolean&nbsp;coreType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eGet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#eGet-int-boolean-boolean-">eGet</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl">HwStorageManagerImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eSet-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSet</h4>
<pre>public&nbsp;void&nbsp;eSet(int&nbsp;featureID,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#eSet-int-java.lang.Object-">eSet</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl">HwStorageManagerImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eUnset-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eUnset</h4>
<pre>public&nbsp;void&nbsp;eUnset(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eUnset</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#eUnset-int-">eUnset</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl">HwStorageManagerImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eIsSet-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eIsSet</h4>
<pre>public&nbsp;boolean&nbsp;eIsSet(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eIsSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#eIsSet-int-">eIsSet</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl">HwStorageManagerImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html#toString--">toString</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl">HwStorageManagerImpl</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwMMUImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwDMAImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwStorageManagerFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwStorageManager/impl/HwMMUImpl.html" target="_top">Frames</a></li>
<li><a href="HwMMUImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
